AutoCAD Inventor :: Shortcut Key For Component Visibility
Mar 21, 2013
I'd like to set up a keyboard shortcut so that when I press the 'V' key, inventor toggles the visibility of the selected part or assembly. However, "Visibility" seems to be about the only command that doesn't exist in the list of keyboard shortcuts*. I found this post in which someone says it's not possible, but might be using VBA. I've done some iLogic but know nothing about Inventor's inner-working VBA. I'm wondering if there's some workaround, VBA or otherwise, that'll allow me to toggle visibility using the 'V' key.
*actually it does but it says it's only available for use in Inventor Studio. Go figure.
Using: Autodesk Inventor 2013 Product Design Suite
Is there a way to add a keyboard shortcut or marking menu shortcut for visibility? It would be really convenient to be able to shift-click several objects and toggle the visibility of them. I have a mouse with numerous buttons that are mapped to commonly used IV features, but I cannot find a way to map a visibility toggle.
I am using this code to turn visibility of components off in IDw file, what I need top turn visibility of a component of in a subassembly.
'oDrawingDocument = ThisApplication.ActiveDocument 'Get the first view 'Dim oView As Inventor.DrawingView 'oView = oDrawingDocument.ActiveSheet.DrawingViews.Item(2)
In my neverending battle to find a way to turn off unneeded components in an assembly, I'm trying my hand at modifying component visibility with a custom View Rep. View reps seemed to pose fewer issues than LOD's (in that you can have a drawing and model open at the same time without a million error messages)......until I tried to make a pattern.
When first placing a new subassembly component into an assembly, it will automatically place in the "Last Saved" View Rep. Since certain parts may be invisible in my "skeletal" subassembly, this is ideal. HOWEVER, when I try to pattern this subassembly, all of the occurrences absolutely insist on displaying at the "Master" View Rep. This makes no sense to me whatsoever and destroys yet another workflow at the 99% mark. I understand that I can change the view rep manually, but manual workarounds and corrections defeat the point of using iLogic to manipulate our models.
Am I the only CAD user who wants the simple ability to "turn off" an assembly component? iAssemblies are not an option due to the shear number of combinations of unneeded components.
I am looking for a way to create an external rule that will allow me to turn off the visibility of bolt generator items in the model while I am looking at the drawing. Bolts may be buried several subassemblies (4 - 6) deep.
I want to set a keyboard shortcut for toggling the visibility of User Work Planes in 2013. I can't seem to find a way to do it. I am able to find it in 2012. Has this been removed from the customize menu in 2013? See attaced pic
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012 Dell Precision T7500 Workstation Xeon Processor 16 GB of RAM Nvidia Quadro FX 5800 Windows 7 x64
II need a way to tell if a component occurence is a virtual component.
I'm using a For Each loop to cycle through all of the components in an assembly, and if the component is itself an assembly to set the LOD to "Custom". I'm using the definition document descriptor object for this. It all woks fine until the loop comes across a virtual component which doesn't have a definition document, so I need a way to check if the component is virtual and needs to be skipped.Here's the
Option ExplicitImports Inventor.LevelOfDetailEnumSub MainiLogicVb.UpdateWhenDone = TrueDim doc As AssemblyDocumentDim oLOD As LevelOfDetailRepresentationDim oAsmCompDef As ComponentDefinitionDim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesdoc = ThisDoc.DocumentIf. [code]....
I am trying to make port rims for pipes that can be swapped in and out of an assembly. However, the ports will all be different sizes and located differently so I need the cut to be part of the port rim component, but affect the entire assembly it is part of. I've been trying to get this to work for the better part of a day now,Here's a picture of what im talking about. I'm running Inventor 2008 by the way.
Is there a keyboard shortcut for "Toggle mask visibility"? I can do this by ALT-clicking on the layer's mask, but I would like to assign a shortcut for this on a button on my Wacom Intuos 4 drawing tablet. So far I haven't found a menu shortcut for it, nor have I found a way to add my own (Edit-Keyboard shortcuts) as the function isn't listed there.
I have an iLogic controlled assembly with sub assemblies that are also iLogic controlled. The main assembly calculates some lengths and turns some subs on and off and then updates all the subs. The subs also calculate some lengths and turn some parts on and off. I have a rule in both the main assembly and copies in the subs that control the LOD to make sure that it's set to custom before anything else runs.
Now I may be misunderstanding something, but it appears that it's possible to have a sub assembly set to one LOD but be referenced in a top level assembly as a different LOD. In other words I have a sub that shows in the top level browser as Master. If I open this sub and set it from within the sub to custom LOD and switch back to the top level assembly it is still set to master there. It appears that this is what my LOD rule is also doing, setting it to custom in the sub but not changing the top level reference.
What I am trying to do is insert a part into an assembly file using iLogic. I basically want to mimic Inventor’s “Place” command using ilogic, maybe something like this:
When we do DWG we may have more than one Assembly on one individual DWG. When going to put the weights on the DWG through the text/Physical Property insert yadayada it keeps referring back to the original assembly. Even after changing which component we want the info to be drawn from, it refers back to the original? Are we not doing this right? Program glitch?
My office procedures dictate that when we place a content center part that we do so "as custom" for several reasons that are irrelevant to this question (I can expound if needed).
My question is: If I have an assembly with a content center part that is placed "as custom" and I use the component replace tool (CTRL+h) to replace it with another content center part that has already been created and placed "as custom" in another file, how come I get a new CC component that is not the one I selected?
It appears that I am getting a CC part from the same family as the original when what I need is the component to be replaced with the one I am selecting.
In other words: when I say replace "this" with "that", how come I get something else entirely? This functionality works perfectly on non-CC parts.
I have an assembly which has components mated to a radial surface, I need to locate the center of a round slot against an axis, I have X Y coordinates, how can I constrain that part to those X Y coordinates?
To be able to folderize component patterns seems to have been surpassed once again in release 2012. However, I am wondering if this is a setting issue yet I cannot find settings for what can and cannot be placed in folders, if they exist. And I wonder if it is a setting issue because during a training class I visibly watched the trainer place component patterns into a folder and once I still cannot do so.
How to apply forces to a component who is spinning. More specific i am interested in the centrifugal loads distributed over the component.
Take an inducer wheel for a turbocharger. It is a complicated component and very difficult to calculate by hand. it is spinning with high revs, and the rev limit it set by the centrifugal forces acting.
I have a sheetmetal assembly with helical shaped parts. I need to place about 50 little brackets and some corresponding rollers along the length of these helical pieces. The spacing is even so a pattern would be perfect, except I don't know how to get it to follow the shape of the part. The brackets are located to slots in the helical parts which were made with a rectangular pattern in the unfolded state. I tried to do a "feature pattern select" but it only saw the rectangular pattern as it is in the unfolded state (a straight line). I then gave up on patterns and started working on manually mating them into place but realized that the geometry of the slot was distorted (theory) and didn't leave me with any useable surfaces.
I've just upgraded from 2011 to 2013 and come across this problem.
In 2011 I could edit a component from the top level anywhere in the tree - i.e. From an iLogic rule in the top level, I could edit a component in a subassembly.
This doesn't seem to work in 2013 - I can only edit the first child of a component.
I have a component pattern with 3 components in it and I need to remove one of the components from the pattern. How can I modify the pattern through the API? I have tried various things but I do not appear to be able to change the pattern.
I'm working on an iLogic application for an assembly. I need some code to edit a particular component occurrence and then open one of that component's iLogic forms.
Basically automating the keystrokes that I'm doing manually (Select, right-click and edit, then open the iLogic form for that part). Do I have to scroll through all occurrences in the browser or is there a way to call that component by name?
I tried to import an stl file into inventor 2013 and it worked. I now have that ipt file that I ahve attached to this thread. The only problem is that now I cannot manipulate my solid (i.e. put holes in it).
I have an ipt A and its dwg. I have an ipt B that is the derivative and mirrored ( I use derive command whit flag on mirror part) component from ipt A.
Is there a way to not create the dwg of B ex novo? I have the same dwg but I have to re dimension all.
I was wondering if there is a way to bend a derived componet. I have an odd extruded part and would like to cut and bend it. I want to do it this way so I can also include the cut length before bend. I know of frame generator, but am not able to use it since if falls out of the structure of how our files are saved.